aboutsummaryrefslogtreecommitdiff
path: root/applets
diff options
context:
space:
mode:
Diffstat (limited to 'applets')
-rwxr-xr-xapplets/install.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/applets/install.sh b/applets/install.sh
new file mode 100755
index 000000000..4a0b83254
--- /dev/null
+++ b/applets/install.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+if [ "$1" == "" ]; then
+ echo "No installation directory. aborting."
+ exit 1;
+fi
+
+h=`cat busybox.links`
+
+mkdir -p $1/bin
+for i in $h ; do
+ mkdir -p $1/`echo $i | sed -e 's/\(^.*\/\)\(.*\)/\1/g' `
+ (cd $1/bin ; ln -s busybox `echo $i | sed -e 's/\(^.*\/\)\(.*\)/\2/g' ` )
+done
+rm -f $1/bin/busybox
+install -m 755 busybox $1/bin/busybox
+